//Game.java

public class Game {
   //Defines the parameters of the minesweeper board.
   static int rows = 8;
   static int cols = 8;
   static int mines = 10;
   static boolean questionMarks = false;
   static boolean started = false;
   static boolean over = false;
   static int width, height;              //Game frame dimensions.
   final static int widthOffset = 10;
   final static int heightOffset = 125;

   static void setBeginner() {
      rows = cols = 8;
      mines = 10;
      width = cols*17 + widthOffset + 10; //Beginner frame needs extra width for LEDs.
      height = rows*17 + heightOffset;
   }

   static void setIntermediate() {
      rows = cols = 16;
      mines = 40;
      width = cols*17 + widthOffset;
      height = rows*17 + heightOffset;
   }

   static void setExpert() {
      rows = 16;
      cols = 30;
      mines = 99;
      width = cols*17 + widthOffset;
      height = rows*17 + heightOffset;
   }
}

