//LEDtime - the 3 digit seconds timer for minesweeper
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class LEDtime extends LEDdisp {
   private int seconds;
   private static final int ONE_SECOND = 1000;
   private javax.swing.Timer myTimer;

   public LEDtime(MyMines myMines) {
      super(myMines);
      reset();
      myTimer = new javax.swing.Timer(ONE_SECOND, new TickListener());
      myTimer.setCoalesce(false);
      myTimer.start();
   }

   private class TickListener implements ActionListener {
      public void actionPerformed(ActionEvent e) {
         /* Note that with this implementation, the first second
            is not a full second.  But...good enough for now. */
         if(Game.started && !Game.over) write(++seconds);
      }
   }

   void reset() {
      seconds = 0;
      write(seconds);
   }

}//End LEDtime.
